目录

Downloads a file.

Request

HTTP Request

GET
https://drive.cloud.hicloud.com/drive/v1/files/{fileId}?form=content

Parameters

*Some parameters are mandatory.

Parameter NameType
Description
fileIdstringpathFile ID. (Mandatory)
formstringqueryDownload method. (Mandatory)
quotaIdstringqueryUser identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user.
x-hw-trace-idstringheaderID used for service tracing. It is contained in the request header.
x-hw-app-idstringheaderApp ID. It is contained in the request header.
versionstringheaderSDK version number. It is contained in the request header.
x-hw-terminalstringheaderDevice model. It is contained in the request header.
x-hw-osstringheaderDevice operating system. It is contained in the request header.
unionIDstringheaderOpen user ID. It is contained in the request header.
User-AgentstringheaderApp version number or ID. It is contained in the request header.

Request Body

Leave the request body empty.

Parameter NameTypeDescription

Response

If successful, this method returns a response body with the following structure:

Parameter NameTypeDescription
MediaContentstringFile content.